Xerces-C++: Hash2KeysSetOf< THasher > Class Template Reference

# Hash2KeysSetOf< THasher > Class Template Reference

Inheritance diagram for Hash2KeysSetOf< THasher >:

List of all members.

## Public Member Functions
| Hash2KeysSetOf (const XMLSize_t modulus, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Hash2KeysSetOf (const XMLSize_t modulus, const THasher &hasher, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~Hash2KeysSetOf ()
bool | isEmpty () const
bool | containsKey (const void *const key1, const int key2) const
void | removeKey (const void *const key1, const int key2)
void | removeKey (const void *const key1)
void | removeAll ()
MemoryManager * | getMemoryManager () const
XMLSize_t | getHashModulus () const
void | put (const void *key1, int key2)
bool | putIfNotPresent (const void *key1, int key2)
## Friends
class | Hash2KeysSetOfEnumerator< THasher >

### template<class THasher>
class Hash2KeysSetOf< THasher >

## Constructor & Destructor Documentation

template<class THasher>

Hash2KeysSetOf< THasher >::Hash2KeysSetOf | ( | const XMLSize_t | modulus,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

template<class THasher>

Hash2KeysSetOf< THasher >::Hash2KeysSetOf | ( | const XMLSize_t | modulus,
|  | const THasher & | hasher,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

template<class THasher>

Hash2KeysSetOf< THasher >::~Hash2KeysSetOf | ( |  | ) |

## Member Function Documentation

template<class THasher>

bool Hash2KeysSetOf< THasher >::isEmpty | ( |  | ) | const

template<class THasher>

bool Hash2KeysSetOf< THasher >::containsKey | ( | const void *const | key1,
|  | const int | key2 |
| ) |  |  | const

template<class THasher>

void Hash2KeysSetOf< THasher >::removeKey | ( | const void *const | key1,
|  | const int | key2 |
| ) |  |  |

template<class THasher>

void Hash2KeysSetOf< THasher >::removeKey | ( | const void *const | key1 | ) |

template<class THasher>

void Hash2KeysSetOf< THasher >::removeAll | ( |  | ) |

template<class THasher>

MemoryManager* Hash2KeysSetOf< THasher >::getMemoryManager | ( |  | ) | const

template<class THasher>

XMLSize_t Hash2KeysSetOf< THasher >::getHashModulus | ( |  | ) | const

template<class THasher>

void Hash2KeysSetOf< THasher >::put | ( | const void * | key1,
|  | int | key2 |
| ) |  |  |

template<class THasher>

bool Hash2KeysSetOf< THasher >::putIfNotPresent | ( | const void * | key1,
|  | int | key2 |
| ) |  |  |

## Friends And Related Function Documentation

template<class THasher>

friend class Hash2KeysSetOfEnumerator< THasher >`[friend]`

The documentation for this class was generated from the following file:

- Hash2KeysSetOf.hpp